


setwd("C:/AAA/Programming/Goteborg/simulation_di_tets_multigene")
# where this code is


library(ape)

source("AlloppSim_1readconfig2.r")


scenario.name <- "A"
config.dir <- "C:/AAA/Programming/Goteborg/simulation_di_tets_multigene/scenarioA"




# copy also in AlloppSim_main
# this should be calculated better!
if (scenario.name == "A") {
  simmul1 <- read.tree(text="((a0:0.02,z0:0.02):0.02,(b0:0.0,z1:0.03):0.01);")  
  simmul2 <- read.tree(text="((a0:0.02,z1:0.02):0.02,(b0:0.0,z0:0.03):0.01);") 
  } else if (scenario.name == "B") {
  simmul1 <- read.tree(text="(((a0:0.02,z0:0.02):0.01,z1:0.03):0.01,b0:0.04);")    
  simmul2 <- read.tree(text="(((a0:0.02,z1:0.02):0.01,z0:0.03):0.01,b0:0.04);")    
  } else if (scenario.name == "C") {
  simmul1 <- read.tree(text="((a0:0.03,(z0:0.02,z1:0.02):0.01):0.01,b0:0.04);")
  simmul2 <- read.tree(text="((a0:0.03,(z1:0.02,z0:0.02):0.01):0.01,b0:0.04);")
  }

# copy also in AlloppSim_main
mccmultree.is.simmultree <- function(config, i, r) {
  mccmul <- read.nexus(file=fpath.mccmultree(config, i, r))
  sametopol <- all.equal(simmul1, mccmul, use.edge.length = FALSE)
  sametopol <- sametopol  ||  all.equal(simmul2, mccmul, use.edge.length = FALSE)
  sametopol
  }





config <- read.config2(paste(config.dir, "/", "config.txt", sep=""))
nofGNT <- length(config$configG)


display.gtree <- function(config, i, r, g) {
  fn <- fpath.gtree(config, i, r, g)
  newick <- scan(fn, what="")
  nc <-  nchar(newick)
  if (substr(newick,nc,nc) == ")") {
    newick <- paste(newick, ";", sep="")
    }
  phy <- read.tree(text=newick)
  plot.phylo(phy)
  }



for (i in 1:nofGNT) {
  R <- config$configR[i]
  nok <- 0
  for (r in 1:R) {
    if (mccmultree.is.simmultree(config, i, r)) {
      nok <- nok + 1
      }
    }
  cat(scenario.name, "G =", config$configG[i], "N =", config$configN[i], 
         "T =", config$configT[i], nok, "/", R, "\n")
  }

#fn <- display.gtree(config, 12, 1, 6)



